package gui;

import javax.swing.JPanel;
import javax.swing.JLabel;
import javax.swing.JButton;
import javax.swing.JTextField;
import javax.swing.JComboBox;
import javax.swing.JList;
import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.GridLayout;

public class downloadSelection extends JPanel {

	private static final long serialVersionUID = 13L;
	private String[] listFilesToDownload;
	private JList<String> list1;
	private JLabel label1;
	private JButton downloadButton;

	public downloadSelection(String[] listFilesToDownload){
		JPanel p1 = new JPanel();
		JPanel p3 = new JPanel();
		FlowLayout layout = new FlowLayout();
		this.listFilesToDownload = listFilesToDownload;
		this.list1 = new JList<>(listFilesToDownload);
		this.label1 = new JLabel("List of files you can download: ");
		this.downloadButton = new JButton("download");
		this.list1.setSelectedIndex(0);
		p1.setLayout(new GridLayout(1, 2));
		p3.setLayout(layout);
		this.setLayout(new GridLayout(2, 1));
		p1.add(label1);
		p1.add(list1);
		p3.add(downloadButton);
		this.add(p1);
		this.add(p3);
		setVisible(true);
	}

}
